#!/usr/bin/perl -w
use strict;
use PowerEdge::RAC;

# change this to your RAC's ip address
my $ip = '192.168.1.120';

my $server = new PowerEdge::RAC(host => $ip);
my $sid = $server->establish_session();
print $server->sessions();

# Reuse an existing session for the new connection,
# $sid could be retrieved from a cookie or a file.

my $s = new PowerEdge::RAC(
      host => $ip, 
      session_id => $sid,
);

print $s->arp();
print $s->sessions();

